[@rxap/tree](../wiki/globals) / FormFactory

# Function: FormFactory()

> **FormFactory**(`injector`, `state`, `existingFormDefinition`): [`SearchForm`](../wiki/Class.SearchForm)

Defined in: [tree/src/lib/search.form.ts:42](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/tree/src/lib/search.form.ts#L42)

## Parameters

### injector

`Injector`

### state

`null` | [`ISearchForm`](../wiki/Interface.ISearchForm)\<`unknown`\>

### existingFormDefinition

`null` | [`SearchForm`](../wiki/Class.SearchForm)\<`unknown`\>

## Returns

[`SearchForm`](../wiki/Class.SearchForm)
